Provisional Booking V4
Get paginated provisional bookings
Retrieves a paginated list of provisional bookings based on the provided criteria.
GET
/
v4
/
provisional-booking
/
paginated
Get paginated provisional bookings
curl --request GET \
--url https://api.example.com/v4/provisional-booking/paginated \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.example.com/v4/provisional-booking/paginated"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.example.com/v4/provisional-booking/paginated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provisionalBookings": [
{
"id": "<string>",
"dto": {
"attendee": {
"receiveReminders": true,
"notes": {},
"email": "jsmith@example.com",
"firstname": "<string>",
"lastname": "<string>",
"fullname": "<string>",
"bringalongEmails": [
"jsmith@example.com"
],
"phone": "<string>",
"timezone": "<string>",
"dataPolicyAccepted": true
},
"meetingTypeId": "<string>",
"start": "<string>",
"hostIds": [
"<string>"
],
"appointmentId": "<string>",
"location": "<string>",
"queueId": "<string>",
"duration": 123,
"routingFormId": "<string>",
"ignoreAvailability": true,
"attendeePendingId": 123,
"paymentId": "<string>",
"couponCode": "<string>",
"resourceChannelIds": [
"<string>"
],
"oneTimeLinkId": "<string>",
"skipNotifications": true,
"phoneOnlyBooking": true,
"icsTitle": "<string>",
"icsDescription": "<string>",
"rwgToken": "<string>",
"rwgMerchantId": "<string>",
"bookingPassword": "<string>",
"waitlistToken": "<string>"
},
"createdAt": "<string>",
"deletedAt": "<string>",
"queueBookingInfo": {
"userIds": [
"<string>"
],
"selectionReason": {},
"groupId": "<string>"
},
"hosts": [
{
"id": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"slug": "<string>",
"userType": "<string>",
"picture": "<string>"
}
],
"meetingTypeId": "<string>"
}
],
"total": 123
}Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Query Parameters
Page number for pagination
Number of items per page
Fetch all bookings in company, admin only
Fetch bookings by userId, admin only
Fetch bookings by meetingTypeId, admin only
Filter by status
Available options:
pending, confirmed, expired, declined_by_host Filter by type (doubleOptIn = awaiting attendee, requireHostConfirmation = needs host action)
Available options:
doubleOptIn, requireHostConfirmation ⌘I
Get paginated provisional bookings
